Attribute VB_Name = "Module"
Option Explicit


'***********************************************************
'   Recherche, traduction et test de F1MDT                 '
'***********************************************************
' Commandes et opCodes pour le FT847 de YEASU              '
' Voir le manuel technique pour d'autres modeles et        '
' adaptation du opcode.                                    '
'(Tous les OpCode ne sont pas employs dans l'exemple)     '
'***********************************************************

' Met le CAT en mode On/Off
Public Const Set_CAT_On = &H0              ' Envoi le CAT en mode On
Public Const Set_CAT_Off = &H80            ' Envoi le CAT en mode Off

' Mettre le PTT en mode On/Off
Public Const Set_PTT_On = &H8              ' Envoi le PTT en mode On
Public Const Set_PTT_Off = &H88            ' Envoi le PTT en mode Off

' Mettre le Satellite en mode On/Off
Public Const Set_Satellite_On = &H4E       ' Envoi le mode Satellite en On
Public Const Set_Satellite_Off = &H8E      ' Envoi le mode Satellite en Off

' Affectation de la frquence
Public Const Set_Freq_Main = &H1           ' Envoi le frquence (defini) au VFO pricipale
Public Const Set_Freq_Sat_RX = &H11        ' Envoi le frquence (defini) au SAT RX
Public Const Set_Freq_Sat_TX = &H21        ' Envoi le frquence (defini) au SAT TX

' Envoi les opcodes des modes
Public Const Set_Mode_LSB = &H0            ' Envoi le Mode LSB
Public Const Set_Mode_USB = &H1            ' Envoi le Mode USB
Public Const Set_Mode_CW = &H2             ' Envoi le Mode CW
Public Const Set_Mode_CWR = &H3            ' Envoi le Mode CW-R
Public Const Set_Mode_AM = &H4             ' Envoi le Mode AM
Public Const Set_Mode_FM = &H8             ' Envoi le Mode FM
Public Const Set_Mode_CWN = &H82           ' Envoi le Mode CW(N)
Public Const Set_Mode_CWRN = &H83          ' Envoi le Mode CW-R(N)
Public Const Set_Mode_AMN = &H84           ' Envoi le Mode AM(N)
Public Const Set_Mode_FMN = &H88           ' Envoi le Mode FM(N)
Public Const Set_Mode_Main = &H7           ' Envoi le Mode on Main VFO
Public Const Set_Mode_Sat_RX = &H17        ' Envoi le Mode on SAT RX
Public Const Set_Mode_Sat_TX = &H27        ' Envoi le Mode on SAT TX

' Interroge et lit la Frequence et le Mode
Public Const Read_Freq_Mode_Main = &H3     ' Lire la Frquence et le Mode du VFO Principal
Public Const Read_Freq_Mode_Sat_RX = &H13  ' Lire la Frquence et le Mode du VFO Sat RX
Public Const Read_Freq_Mode_Sat_TX = &H23  ' Lire la Frquence et le Mode du VFO Sat TX

' Met les modes CTCSS/DCS
Public Const Set_DCS_On = &HA              ' Envoi le DCS On
Public Const Set_CTSS_ENC_DEC_On = &H2A    ' Envoi le CTCSS ENC/DEC en On
Public Const Set_CTCSS_ENC_On = &H4A       ' Envoi le CTCSS ENC en On
Public Const Set_CTCSS_DCS_On = &H8A       ' Envoi le CTCSS/DCS en On
Public Const Set_CTCSS_Main = &HA          ' Envoi au VFO principal
Public Const Set_CTCSS_SAT_RX = &H1A       ' Envoi au VFO SAT en RX
Public Const Set_CTCSS_SAR_TX = &H2A       ' Envoi au VFO SAT en TX

' Envoi la frquence CTCSS
Public Const Set_CTCSS_Frequency_Main = &HB ' Envoi au VFO principal
Public Const Set_CTCSS_Frequency_Sat_RX = &H1B ' Envoi au VFO SAT en RX
Public Const Set_CTCSS_Frequency_Sat_TX = &H2B ' Envoi au VFO SAT en TX

' Envoi du code DCS
Public Const Set_DCS_Main = &HC            ' Envoi au VFO principal
Public Const Set_DCS_Sat_RX = &H1C         ' Envoi au VFO SAT en RX
Public Const Set_DCS_Sat_TX = &H2C         ' Envoi au VFO SAT en TX

' Shift Repeteur
Public Const Set_Repeater_Shift = &H9          ' Envoi le opCode du shift du repeteur
Public Const Set_Repeater_Shift_Minus = &H9    ' Envoi le Shift Moins pour le repeteur
Public Const Set_Repeater_Shift_Plus = &H49    ' Envoi le Shift Plus pour le repeteur
Public Const Set_Repeater_Shift_Simplex = &H89 ' Envoi le Shift Simplex pour le repeteur

' Offset du repeteur
Public Const Set_Repeater_Offset = &HF9    ' Envoi le shift opcode du repeteur

' Status reception
Public Const Read_Receiver_Status = &HE7   ' Lire le status de reception

' Status transmission
Public Const Read_Transmit_Status = &HF7   ' Lire le status de transmission

'*****************************************************************
' Fin des constantes pour les codes de commandes opcode du ft847 '
'*****************************************************************


'*****************************************
'Declaration des variables du programmes '
'*****************************************
Public FreqTx As String
Public Ret As Long
Public FreqDeployer(7) As Integer
Public I As Integer
Public Cmd(4) As Byte
Public Freq_Code As Long
Public RxData() As Byte
Public Mode As String
Public FreqString As String
Public FreqCode(7) As Integer
